why is Padre dependent on Win32::API on Fedora ? [was Re: Broken dependencies: perl-Padre]

Marcela Maslanova mmaslano at redhat.com
Tue Feb 9 09:53:46 UTC 2010


Dave,
I prefer don't switch off rpm magic. Sometimes it could help find
new requirements because they are not in Meta or they are in Meta
even if they are not needed anymore.

----- "Dave Cross" <dave at dave.org.uk> wrote:

> Marcela,
> 
> cpanspec does the right thing. It creates the list of requires from
> the
> list in META.yml.
> 
> rpm does the wrong thing by parsing the source code and looking for
> "use" statements.
> 
> My advice is to trust cpanspec and not to use the rpm dependency
> auto-generation. I do this by adding:
> 
>   %__perl_requires %{nil}
> 
> to my .rpmmacros file.
> 
> For more details, see my blog:
> 
>  
> http://perlhacks.com/2010/02/building-rpms-from-cpan-distributions.php
> 
> Cheers,
> 
> Dave...
> 
> On 09/02/10 07:46, Marcela Maslanova wrote:
> > Hello,
> > I want to ask upstream about it ;-)
> > 
> > I used cpanspec for generating spec, but that doesn't help
> > if rpm automagically creates requires probably from Makefile.
> > In Makefile.PL are tests like:
> > requires 'Win32::API'              => '0.58' if win32;
> > but it doesn't seem to work in this case. I was able to solve
> > it by commenting them all out from this file.
> > 
> > Regards,
> > Marcela
> > ----- "Gabor Szabo" <szabgab at gmail.com> wrote:
> > 
> >> Hi,
> >>
> >> I saw these bug reports starting to flow in two days ago,
> >> just in time to mention them during my talk on FOSDEM.
> >>
> >> The problem seems to be that the rpm builder extracted the list of
> >> dependencies of Padre from its source code. This did not notice
> that
> >> Win32::API is use only when running on Windows and thus it was
> >> included in the list of dependencies.
> >>
> >> The right way would be to use the list of dependencies as supplied
> in
> >> the META.yml file in the Padre tarbal.
> >>
> >> Dave Cross blogged about this probably explaining in a much better
> >> way
> >> than I did:
> >>
> http://perlhacks.com/2010/02/building-rpms-from-cpan-distributions.php
> >>
> >> regards
> >>    Gabor
> >>
> >>
> >>
> >> On Mon, Feb 8, 2010 at 4:05 PM,  <buildsys at fedoraproject.org>
> wrote:
> >>>
> >>>
> >>> perl-Padre has broken dependencies in the development tree:
> >>> On x86_64:
> >>>        perl-Padre-0.50-3.fc13.noarch requires perl(Win32::API)
> >>> On i386:
> >>>        perl-Padre-0.50-3.fc13.noarch requires perl(Win32::API)
> >>> Please resolve this as soon as possible.
> >>>
> >> --
> >> Fedora Extras Perl SIG
> >> http://www.fedoraproject.org/wiki/Extras/SIGs/Perl
> >> perl-devel mailing list
> >> perl-devel at lists.fedoraproject.org
> >> https://admin.fedoraproject.org/mailman/listinfo/perl-devel
> > --
> > Fedora Extras Perl SIG
> > http://www.fedoraproject.org/wiki/Extras/SIGs/Perl
> > perl-devel mailing list
> > perl-devel at lists.fedoraproject.org
> > https://admin.fedoraproject.org/mailman/listinfo/perl-devel
> 
> --
> Fedora Extras Perl SIG
> http://www.fedoraproject.org/wiki/Extras/SIGs/Perl
> perl-devel mailing list
> perl-devel at lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/perl-devel


More information about the perl-devel mailing list